#!/bin/bash


#file="All.degave_Cu111_B86SRP68-DF2_Z8A_C3v_D_fric1"
#file="All.degave_Cu111_B86SRP68-DF2_Z8A_C3v_H_fric1"   
#file="All.degave_H2Cu111SRP_C3v_D_fric1"   
#file="All.degave_H2Cu111SRP_C3v_H_fric1"   
#file="All.degave_Cu111_B86SRP68-DF2_Z8A_C3v_D_fric-1"  
file="All.degave_Cu111_B86SRP68-DF2_Z8A_C3v_H_fric-1"  
#file="All.degave_H2Cu111SRP_C3v_D_fric-1"  
#file="All.degave_H2Cu111SRP_C3v_H_fric-1"  


#Edata="Edata_D2_Cu111.dat"
Edata="Edata_H2_Cu111.dat"

qnumin=0
qnumax=1

v0qjmax=11
v1qjmax=7

qjstart=0

state=1
col=2
rm E0_2.dat
for (( qnu=$qnumin; qnu <= $qnumax; qnu++ ))
do
   #maximum J state selector -> qjmax is different per vibrational state
   if [ $qnu -eq 0 ]
   then
     qjmax=$v0qjmax
   fi
   if [ $qnu -eq 1 ]
   then
     qjmax=$v1qjmax
   fi
   let qj=$qjstart               #qj is rotational quantum number
   while [ $qj -le $qjmax ]
   do
     #satval=`tail -1 ALL.degeneracy.averaged | awk '{print $'$col'}'`

     #find satval
     expE=`awk 'NR == '$state' {print}' $Edata `
     NR=3; satval=0; E=0;
     while (( $( echo "$E <= $expE" | bc -l ) ))
     do
       E=` awk ' NR == '$NR' {print $1}' $file `
       satval=`awk ' NR == '$NR' {print $'$col'}' $file `
       satval=`sed -E 's/([+-]?[0-9.]+)[eE]\+?(-?)([0-9]+)/(\1*10^\2\3)/g' <<<"$satval"`
       ((NR++))
     done     


     NR=3; RP=0
     while (( $( echo "$RP <= ( $satval * 0.5 )" | bc -l ) ))
     do
       E=` awk ' NR == '$NR' {print $1}' $file `
       RP=`awk ' NR == '$NR' {print $'$col'}' $file `
       RP=`sed -E 's/([+-]?[0-9.]+)[eE]\+?(-?)([0-9]+)/(\1*10^\2\3)/g' <<<"$RP"`
       ((NR++))
       #echo $E $RP $NR $col
     done
     
     echo "$qj  $E  	$satval  $expE"
     echo "$qj  $E  	$satval  $expE" >> E0_2.dat
#     echo "$qj  $E" >> satval_${satval}
     ((col++))
     ((qj++))
     ((state++))
   done #qj
   echo 
  
done #qnu
echo
awk '{print $1, $2}' E0_2.dat
